Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88450 - -devel package missing dependancy
Summary: -devel package missing dependancy
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ImageMagick
Version: 8.0
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-10 02:54 UTC by Kipp
Modified: 2013-04-02 04:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-12 12:17:04 UTC


Attachments (Terms of Use)

Description Kipp 2003-04-10 02:54:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
ImageMagick-devel requires the -devel components of several other packages to be
installed but none of them are listed by the ImageMagick-devel rpm.  This allows
ImageMagick-devel to be installed without warning the user of the unsatisfied
dependancies thereafter preventing its use.  The packages on which it depends
are (minimum version numbers unknown):

libtiff-devel
freetype-devel
libjpeg-devel
libpng-devel
XFree86-devel
bzip2-devel
libxml2-devel
zlib-devel
and, of course, glibc-devel

These dependancies can all be verified by checking the output of `Magick-config
--libs`

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpm -q --requires ImageMagick-devel
2.Magick-config --libs
3.
    

Actual Results:  Output of rpm -q inconsistent with output of Magick-config --libs

Expected Results:  Output of rpm -q consistent with output of Magick-config --libs

Additional info:


Note You need to log in before you can comment on or make changes to this bug.